Bug 845538 - microcode_ctl: please drop no longer needed udev rules file, CPU modaliases take care of loading it
microcode_ctl: please drop no longer needed udev rules file, CPU modaliases t...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anton Arapov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 07:36 EDT by Kay Sievers
Modified: 2014-06-18 04:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: microcode_ctl-2.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 10:41:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kay Sievers 2012-08-03 07:36:33 EDT
There should be no need to load microcode explicitly, the recent CPU
aliases should take care of loading all CPU specific modules. Please drop
the rules file entirely.

$ cat /sys/devices/system/cpu/cpu0/uevent 
MODALIAS=x86cpu:vendor:0000:family:0006:model:002A:feature:,0000,0001,0002,0003,0004,0005,0006,0007,0008,0009,000B,000C,000D,000E,000F,0010,0011,0013,0015,0016,0017,0018,0019,001A,001B,001C,001D,001F,002B,0034,003B,003D,0068,006B,006C,006D,006F,0072,0074,0076,0078,007C,0080,0081,0082,0083,0084,0085,0086,0087,0088,0089,008D,008E,008F,0091,0093,0094,0095,0097,0098,0099,009A,009B,009C,00C0,00E0,00E1,00E3,00E4,00E5,00E6,00E7,0100,0101,0102,0103,0104

$ modprobe --first-time -n -v x86cpu:vendor:0000:family:0006:model:002A:feature:,0000,0001,0002,0003,0004,0005,0006,0007,0008,0009,000B,000C,000D,000E,000F,0010,0011,0013,0015,0016,0017,0018,0019,001A,001B,001C,001D,001F,002B,0034,003B,003D,0068,006B,006C,006D,006F,0072,0074,0076,0078,007C,0080,0081,0082,0083,0084,0085,0086,0087,0088,0089,008D,008E,008F,0091,0093,0094,0095,0097,0098,0099,009A,009B,009C,00C0,00E0,00E1,00E3,00E4,00E5,00E6,00E7,0100,0101,0102,0103,0104
ERROR: could not insert 'microcode': Module already in kernel
ERROR: could not insert 'ghash_clmulni_intel': Module already in kernel
ERROR: could not insert 'crc32c_intel': Module already in kernel
ERROR: could not insert 'kvm_intel': Module already in kernel
ERROR: could not insert 'coretemp': Module already in kernel
Comment 1 Anton Arapov 2012-08-06 05:02:10 EDT
True. I did the necessary modifications upstream already, a week ago or so. I will push them to Fedora rawhide soon.

ref: https://fedorahosted.org/microcode_ctl/wiki (v2.0)

thanks,

Note You need to log in before you can comment on or make changes to this bug.